Package org.apache.coyote

## Class UpgradeToken

- java.lang.Object
- - org.apache.coyote.UpgradeToken

-     public final class UpgradeToken
      extends java.lang.Object

  Token used during the upgrade process.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UpgradeToken​(HttpUpgradeHandler httpUpgradeHandler, ContextBind contextBind, InstanceManager instanceManager, java.lang.String protocol)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ContextBind` | `getContextBind()` |
    `HttpUpgradeHandler` | `getHttpUpgradeHandler()` |
    `InstanceManager` | `getInstanceManager()` |
    `java.lang.String` | `getProtocol()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UpgradeToken

          public UpgradeToken​(HttpUpgradeHandler httpUpgradeHandler,
                              ContextBind contextBind,
                              InstanceManager instanceManager,
                              java.lang.String protocol)

  - ### Method Detail

    - #### getContextBind

          public final ContextBind getContextBind()

    - #### getHttpUpgradeHandler

          public final HttpUpgradeHandler getHttpUpgradeHandler()

    - #### getInstanceManager

          public final InstanceManager getInstanceManager()

    - #### getProtocol

          public final java.lang.String getProtocol()